<template>
    <div class="row">
      <div class="card-deck">
      <div v-for="(elem,index) in filterTitle" :key="index">
        <div class="card" style="width: 18rem;">
          <img class="card-img-top img-movie" :src="require(`../assets/${elem.affiche}`)">
          <div class="card-body">
            <h5 class="card-title">{{elem.title}}
              <span @click="favoriteMovie(elem.id)" :class="{'is-favorite': elem.favorite}">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-bookmark-heart" viewBox="0 0 16 16">
                        <path fill-rule="evenodd" d="M8 4.41c1.387-1.425 4.854 1.07 0 4.277C3.146 5.48 6.613 2.986 8 4.412z"/>
                        <path d="M2 2a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v13.5a.5.5 0 0 1-.777.416L8 13.101l-5.223 2.815A.5.5 0 0 1 2 15.5V2zm2-1a1 1 0 0 0-1 1v12.566l4.723-2.482a.5.5 0 0 1 .554 0L13 14.566V2a1 1 0 0 0-1-1H4z"/>
                    </svg>
                  </span>
            </h5>

            <p class="card-text" style="text-align: left;">{{elem.description}}</p>
            <p class="card-text"><small class="text-muted">{{elem.realization}}</small></p>
          </div>
        </div>
      </div>
      </div>
  </div>
</template>

<script>
export default {
  name: 'MovieCard',
  props:['movies','filter'],
  computed:{
    filterTitle:function (){
      console.log(this.filter.length)
      console.log()
      return (this.filter.length === 0)? this.movies :this.movies.filter(movie => movie.title === this.filter);
    }
  },
  data (){
    return {

    }
  },
  methods: {
    favoriteMovie: function (id) {
      this.$store.dispatch('addMoviesFavorite',id);
    }
  }
}
</script>
<style>
.img-movie{
  width: 183px;  display: block;margin: 0 auto;
}

.is-favorite{
  color: brown;
}
</style>

